幽灵学院

无外网环境下CentOS 7安装MySQL 5.7.18

2019-02-10 17:40 来源:网络整理 编辑:幽灵学院  人气:   评论一下

情况说明

由于工作需要,需要在一台装有 CentOS 系统的测试服务器上安装 MySQL ,由于该服务器上存有其他比较重要的测试数据,所以不能连接外网。由于之前安装 MySQL 一直都是使用 yum 命令一键搞定的,所以手动安装的话还是有些麻烦的。所以在这里我将我在安装过程中遇到的一些问题记录下来。

在开始之前不得不吐槽一下,网上有一些教程实在是太坑爹,教程直接复制粘贴别人的,不写环境,没有版本号说明。看着就火大。

本文安装的MySQL为安装最基本的功能,如需要安装其他附加功能,请查看官方文档。

本文适用于服务器不能联网的情况下的安装操作

安装

环境说明

以下是我在写本文章时所用到的一些环境说明。

对于其他版本版本的环境,我没有进行测试,所以不保证能够成功,不过小版本号之间不同应该没有什么大碍。

项目 版本 说明 操作系统 CentOS 7.2.1511 x86_64 最小化安装 MySQL Community 5.7.18-1.el7.x86_64 rpm包

注:可以使用 cat /etc/redhat-release 命令,来确定自己安装的CentOS的具体版本。

准备工作

下载 MySQL 的安装包,这里推荐使用搜狐的镜像站下载,因为从MySQL官网下载的速度实在感人,镜像地址 选择对应的版本号下载即可。我在此使用的rpm包有以下4个: mysql-community-client-5.7.18-1.el7.x86_64.rpm mysql-community-common-5.7.18-1.el7.x86_64.rpm mysql-community-libs-5.7.18-1.el7.x86_64.rpm mysql-community-server-5.7.18-1.el7.x86_64.rpm

以上四个rpm包是必须的,如果还需要其他的功能,可以自行进行下载。以当前版本为例,包含全部的rpm包的文件为mysql-5.7.18-1.el7.x86_64.rpm-bundle.tar

下载 numactl 软件包: numactl-2.0.9-6.el7_2.x86_64.rpm numactl-devel-2.0.9-6.el7_2.x86_64.rpm numactl-libs-2.0.9-6.el7_2.x86_64.rpm 下载其他相关支持: perl-Data-Dumper-2.145-3.el7.x86_64.rpm libaio-0.3.109-13.el7.x86_64.rpm

以上软件包是待会儿要用到的,请提前准备好。这个软件包网上直接搜索就能下载得到,这里提供一个下载地址下载地址 直接在搜索框搜索即可,下载时注意看版本号和位数(64位)

将下载好的软件包一并上传到服务器上,准备安装。

安装

以下只是我的安装顺序,其实这些软件包的安装顺序没有太多明确的要求,不一定非要按以下顺序安装,但是可以会有一些相关的依赖问题,如果抛出依赖相关的错误,只要把上边对应的依赖安装上在重试一次即可。

安装 libaio-0.3.109-13.el7.x86_64.rpm rpm -ivh libaio-0.3.109-13.el7.x86_64.rpm  安装perl-Data-Dumper-2.145-3.el7.x86_64.rpm rpm -ivh perl-Data-Dumper-2.145-3.el7.x86_64.rpm 

以上这两项安装时我并没有遇到依赖问题,如果在实际安装时遇到了,请查看相关提示,在下载对应的包安装即可。

安装numactl相关 rpm -ivh numactl* 

如果不安装此包,我们将会得到如下错误

error: Failed dependencies:  libnuma.so.1()(64bit) is needed by mysql-community-server-5.7.18-1.el7.x86_64  libnuma.so.1(libnuma_1.1)(64bit) is needed by mysql-community-server-5.7.18-1.el7.x86_64  libnuma.so.1(libnuma_1.2)(64bit) is needed by mysql-community-server-5.7.18-1.el7.x86_64   若此时直接安装mysql,我们会得到一个异常:  warning: mysql-community-libs-5.7.18-1.el7.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY error: Failed dependencies:  mysql-community-common(x86-64) >= 5.7.9 is needed by mysql-community-libs-5.7.18-1.el7.x86_64  mariadb-libs is obsoleted by mysql-community-libs-5.7.18-1.el7.x86_64  

第一行还能看明白,是依赖问题,第二行的“mariadb-libs 被废弃”是什么鬼?废弃了为什么不提供一个新的还要出现这种弱智提示呢?经过一番搜寻,才发现是因为在CentOS 7上已经有一个mariadb 而这个会与 MySQL的mariadb发生冲突。所以此时我们需要将系统自带的mariadb卸载掉,然后使用mysql自带的mariadb。

我们先来查看系统安装的版本rpm -qa | grep mariadb,随后进行卸载,卸载的过程中会提示不能卸载,因为有其他软件依赖此包,我们要加上 --nodeps 参数强制卸载

rpm -e --nodeps mariadb-libs-5.5.37-1.el7_0.x86_64 

注意我上述写的 mariadb-libs-5.5.37-1.el7_0.x86_64 是我刚刚用rpm -qa | grep mariadb查询出的结果。不同版本可能会有所不同。

解决好这个问题后,就可以安装mysql了,rpm -ivh mysql-community-* 即可。

启动

使用 service mysqld start 命令启动mysql实例,为了验证,我们使用service mysqld status验证一下。输出结果如下:

Redirecting to /bin/systemctl status mysqld.service ● mysqld.service - MySQL Server Loaded: loaded (/usr/lib/systemd/system/mysqld.service; enabled; vendor preset: disabled) Active: active (running) since Mon 2017-07-03 15:39:02 CST; 5s ago Docs: man:mysqld(8) Process: 28054 ExecStart=/usr/sbin/mysqld --daemonize --pid-file=/var/run/mysqld/mysqld.pid $MYSQLD_OPTS (code=exited, status=0/SUCCESS) Process: 27978 ExecStartPre=/usr/bin/mysqld_pre_systemd (code=exited, status=0/SUCCESS) Main PID: 28056 (mysqld) CGroup: /system.slice/mysqld.service └─28056 /usr/sbin/mysqld --daemonize --pid-file=/var/run/mysqld/mysqld.pid Jul 03 15:38:57 nodemaster systemd[1]: Starting MySQL Server...Jul 03 15:39:02 nodemaster systemd[1]: Started MySQL Server. 

登录

[提醒] 除特别声明外,该内容由( )发布,转载请保留文章出处!
  •  我顶 
  • 点击
  • 收藏